/*====================================+=====================================+
! File CTool.h                        ! Copyright (C) 2002-2013 Remi PASCAL !
+-------------------------------------+-------------------------------------+
! This file is part of Siren.                                               !
! Siren is free software: you can redistribute it and/or modify it under    !
! the terms of the GNU General Public License as published by the Free      !
! Software Foundation, either version 3 of the License, or any later        !
! version.                                                                  !
! Siren is distributed in the hope that it will be useful, but WITHOUT ANY  !
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS !
! FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more    !
! details.                                                                  !
! You should have received a copy of the GNU General Public License along   !
! with Siren. If not, see <http://www.gnu.org/licenses/>.                   !
+==========================================================================*/



/*-------------------------------------------------------------------------*/
#ifndef CTOOL_H
#define CTOOL_H
/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
#include "dynmenu/CDynMenu.h"
/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
class CDlgToolEdit : public CDlgDynMenuEdit
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgToolEdit( wxWindow *parent, CDynMenu *p_dm ) ;
      virtual ~CDlgToolEdit() ;
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      virtual int validate_data() ;
   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/
class CDlgTool : public CDlgDynMenu
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CDlgTool( CDynMenu *p_dm ) ;
      virtual ~CDlgTool() ;
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      virtual int get_modal_edit( wxString &s_name, wxString &s_exp )
      {  return( CDlgToolEdit( this, m_p_dm ).get_modal( s_name, s_exp ) ) ;}
   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/
class CTool : public CDynMenu
{
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      CTool() ;
      virtual ~CTool() ;
   /*----------------------------------------------------------------------*/
   public :
      /*-------------------------------------------------------------------*/
      virtual void create_default_elmts() ;
      void add() ;
      void organize() ;
      /*-------------------------------------------------------------------*/
      virtual void menu_item_action( int i_id_menu ) ;
   /*----------------------------------------------------------------------*/
} ;

/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
#endif // CTOOL_H
/*-------------------------------------------------------------------------*/



/*==========================================================================+
!                            End of file CTool.h                            !
+==========================================================================*/
